This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 3 failed / 20 succeeded
Started2019-11-30 16:01
Elapsed27m16s
Revision
Buildergke-prow-ssd-pool-1a225945-qlhl
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/75335e21-ddf5-472e-9a1d-32218f01e106/targets/test'}}
pod8f83feba-138a-11ea-9409-fa8a1cff7275
resultstorehttps://source.cloud.google.com/results/invocations/75335e21-ddf5-472e-9a1d-32218f01e106/targets/test
infra-commit48349ea19
job-versionv1.15.7-beta.0.9+62fab2d1764c89
master_os_imagecos-73-11647-163-0
node_os_imagegke-1134-gke-rc5-cos-69-10895-138-0-v190320-pre-nvda-gpu
pod8f83feba-138a-11ea-9409-fa8a1cff7275
revisionv1.15.7-beta.0.9+62fab2d1764c89

Test Failures


GPU cluster upgrade [sig-node] gpu-cluster-upgrade 4m55s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=GPU\scluster\supgrade\s\[sig\-node\]\sgpu\-cluster\-upgrade$'
Nov 30 16:18:28.942: Unexpected error:
    <*errors.errorString | 0xc00326c050>: {
        s: "error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.4-beta.0.14+81780271497f1f]; got error exit status 1, stdout \"Fetching the previously installed CoreDNS version\\n\\n***WARNING***\\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\\nbefore running this script:\\n\\n# example: pin to etcd v3.0.17\\nexport ETCD_IMAGE=3.0.17\\nexport ETCD_VERSION=3.0.17\\n\\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\\n\\n== Pre-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-7s54\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-dj80\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-ngl9\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.4-beta.0.14+81780271497f1f/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\\n== Upgrading master environment variables. ==\\n== Waiting for new master to respond to API requests ==\\n......................== Done ==\\nWaiting for CoreDNS to update\\nFetching the latest installed CoreDNS version\\n== Downloading the CoreDNS migration tool ==\\n== Upgrading the CoreDNS ConfigMap ==\\nconfigmap/coredns configured\\n== The CoreDNS Config has been updated ==\\n== Validating cluster post-upgrade ==\\nValidating gce cluster, MULTIZONE=\\nFound 4 node(s).\\nNAME                              STATUS                     ROLES    AGE   VERSION\\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   10m   v1.16.4-beta.0.14+81780271497f1f\\nbootstrap-e2e-minion-group-7s54   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\\nbootstrap-e2e-minion-group-dj80   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\\nbootstrap-e2e-minion-group-ngl9   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\\nValidate output:\\nNAME                 AGE\\ncontroller-manager   <unknown>\\netcd-0               <unknown>\\nscheduler            <unknown>\\netcd-1               <unknown>\\n\\x1b[0;32mCluster validation succeeded\\x1b[0m\\n== Post-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.16.4-beta.0.14+81780271497f1f\\\"\\nname: \\\"bootstrap-e2e-minion-group-7s54\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-dj80\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-ngl9\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\n\", stderr \"Project: k8s-gke-gpu-boskos-05\\nNetwork Project: k8s-gke-gpu-boskos-05\\nZone: us-west1-b\\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\\nNODE_NAMES=bootstrap-e2e-minion-group-7s54 bootstrap-e2e-minion-group-dj80 bootstrap-e2e-minion-group-ngl9\\nTrying to find master named 'bootstrap-e2e-master'\\nLooking for address 'bootstrap-e2e-master-ip'\\nUsing master: bootstrap-e2e-master (external IP: 34.83.94.199; internal IP: (not set))\\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-05/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-05/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: Some requests generated warnings:\\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\\n\\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   34.83.94.199  RUNNING\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nProject: k8s-gke-gpu-boskos-05\\nNetwork Project: k8s-gke-gpu-boskos-05\\nZone: us-west1-b\\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\\n\"",
    }
    error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.4-beta.0.14+81780271497f1f]; got error exit status 1, stdout "Fetching the previously installed CoreDNS version\n\n***WARNING***\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\nbefore running this script:\n\n# example: pin to etcd v3.0.17\nexport ETCD_IMAGE=3.0.17\nexport ETCD_VERSION=3.0.17\n\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\n\n== Pre-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-7s54\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-dj80\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-ngl9\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.4-beta.0.14+81780271497f1f/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\n== Upgrading master environment variables. ==\n== Waiting for new master to respond to API requests ==\n......................== Done ==\nWaiting for CoreDNS to update\nFetching the latest installed CoreDNS version\n== Downloading the CoreDNS migration tool ==\n== Upgrading the CoreDNS ConfigMap ==\nconfigmap/coredns configured\n== The CoreDNS Config has been updated ==\n== Validating cluster post-upgrade ==\nValidating gce cluster, MULTIZONE=\nFound 4 node(s).\nNAME                              STATUS                     ROLES    AGE   VERSION\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   10m   v1.16.4-beta.0.14+81780271497f1f\nbootstrap-e2e-minion-group-7s54   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\nbootstrap-e2e-minion-group-dj80   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\nbootstrap-e2e-minion-group-ngl9   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\nValidate output:\nNAME                 AGE\ncontroller-manager   <unknown>\netcd-0               <unknown>\nscheduler            <unknown>\netcd-1               <unknown>\n\x1b[0;32mCluster validation succeeded\x1b[0m\n== Post-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.16.4-beta.0.14+81780271497f1f\"\nname: \"bootstrap-e2e-minion-group-7s54\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-dj80\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-ngl9\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\n", stderr "Project: k8s-gke-gpu-boskos-05\nNetwork Project: k8s-gke-gpu-boskos-05\nZone: us-west1-b\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\nNODE_NAMES=bootstrap-e2e-minion-group-7s54 bootstrap-e2e-minion-group-dj80 bootstrap-e2e-minion-group-ngl9\nTrying to find master named 'bootstrap-e2e-master'\nLooking for address 'bootstrap-e2e-master-ip'\nUsing master: bootstrap-e2e-master (external IP: 34.83.94.199; internal IP: (not set))\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-05/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-05/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: Some requests generated warnings:\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\n\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   34.83.94.199  RUNNING\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nProject: k8s-gke-gpu-boskos-05\nNetwork Project: k8s-gke-gpu-boskos-05\nZone: us-west1-b\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\n"
occurred

k8s.io/kubernetes/test/e2e/lifecycle.glob..func5.2.1.1()
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:249 +0xfd
k8s.io/kubernetes/test/e2e/chaosmonkey.(*Chaosmonkey).Do(0xc003db9350)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/chaosmonkey/chaosmonkey.go:111 +0x358
k8s.io/kubernetes/test/e2e/lifecycle.runUpgradeSuite(0xc000be48c0, 0x83236e0, 0x1, 0x1, 0xc000a578c0, 0xc0011d0e10, 0xc002add4e0, 0x2, 0xc000d29400)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:483 +0x458
k8s.io/kubernetes/test/e2e/lifecycle.glob..func5.2.1()
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:254 +0x227
k8s.io/kubernetes/test/e2e.RunE2ETests(0xc0004ea100)
	_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/e2e.go:94 +0x237
k8s.io/kubernetes/test/e2e.TestE2E(0xc0004ea100)
	_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/e2e_test.go:116 +0x2b
testing.tRunner(0xc0004ea100, 0x4a877a0)
	/usr/local/go/src/testing/testing.go:865 +0xc0
created by testing.(*T).Run
	/usr/local/go/src/testing/testing.go:916 +0x35a
				from junit_upgradeupgrades.xml

Filter through log files | View test history on testgrid


Kubernetes e2e suite [sig-cluster-lifecycle] gpu Upgrade [Feature:GPUUpgrade] cluster upgrade should be able to run gpu pod after upgrade [Feature:GPUClusterUpgrade] 10m19s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=Kubernetes\se2e\ssuite\s\[sig\-cluster\-lifecycle\]\sgpu\sUpgrade\s\[Feature\:GPUUpgrade\]\scluster\supgrade\sshould\sbe\sable\sto\srun\sgpu\spod\safter\supgrade\s\[Feature\:GPUClusterUpgrade\]$'
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:238
Nov 30 16:18:28.942: Unexpected error:
    <*errors.errorString | 0xc00326c050>: {
        s: "error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.4-beta.0.14+81780271497f1f]; got error exit status 1, stdout \"Fetching the previously installed CoreDNS version\\n\\n***WARNING***\\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\\nbefore running this script:\\n\\n# example: pin to etcd v3.0.17\\nexport ETCD_IMAGE=3.0.17\\nexport ETCD_VERSION=3.0.17\\n\\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\\n\\n== Pre-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-7s54\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-dj80\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-ngl9\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.4-beta.0.14+81780271497f1f/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\\n== Upgrading master environment variables. ==\\n== Waiting for new master to respond to API requests ==\\n......................== Done ==\\nWaiting for CoreDNS to update\\nFetching the latest installed CoreDNS version\\n== Downloading the CoreDNS migration tool ==\\n== Upgrading the CoreDNS ConfigMap ==\\nconfigmap/coredns configured\\n== The CoreDNS Config has been updated ==\\n== Validating cluster post-upgrade ==\\nValidating gce cluster, MULTIZONE=\\nFound 4 node(s).\\nNAME                              STATUS                     ROLES    AGE   VERSION\\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   10m   v1.16.4-beta.0.14+81780271497f1f\\nbootstrap-e2e-minion-group-7s54   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\\nbootstrap-e2e-minion-group-dj80   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\\nbootstrap-e2e-minion-group-ngl9   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\\nValidate output:\\nNAME                 AGE\\ncontroller-manager   <unknown>\\netcd-0               <unknown>\\nscheduler            <unknown>\\netcd-1               <unknown>\\n\\x1b[0;32mCluster validation succeeded\\x1b[0m\\n== Post-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.16.4-beta.0.14+81780271497f1f\\\"\\nname: \\\"bootstrap-e2e-minion-group-7s54\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-dj80\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\nname: \\\"bootstrap-e2e-minion-group-ngl9\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.7-beta.0.9+62fab2d1764c89\\\"\\n\", stderr \"Project: k8s-gke-gpu-boskos-05\\nNetwork Project: k8s-gke-gpu-boskos-05\\nZone: us-west1-b\\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\\nNODE_NAMES=bootstrap-e2e-minion-group-7s54 bootstrap-e2e-minion-group-dj80 bootstrap-e2e-minion-group-ngl9\\nTrying to find master named 'bootstrap-e2e-master'\\nLooking for address 'bootstrap-e2e-master-ip'\\nUsing master: bootstrap-e2e-master (external IP: 34.83.94.199; internal IP: (not set))\\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-05/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-05/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: Some requests generated warnings:\\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\\n\\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   34.83.94.199  RUNNING\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nProject: k8s-gke-gpu-boskos-05\\nNetwork Project: k8s-gke-gpu-boskos-05\\nZone: us-west1-b\\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\\n\"",
    }
    error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.4-beta.0.14+81780271497f1f]; got error exit status 1, stdout "Fetching the previously installed CoreDNS version\n\n***WARNING***\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\nbefore running this script:\n\n# example: pin to etcd v3.0.17\nexport ETCD_IMAGE=3.0.17\nexport ETCD_VERSION=3.0.17\n\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\n\n== Pre-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-7s54\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-dj80\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-ngl9\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.4-beta.0.14+81780271497f1f/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\n== Upgrading master environment variables. ==\n== Waiting for new master to respond to API requests ==\n......................== Done ==\nWaiting for CoreDNS to update\nFetching the latest installed CoreDNS version\n== Downloading the CoreDNS migration tool ==\n== Upgrading the CoreDNS ConfigMap ==\nconfigmap/coredns configured\n== The CoreDNS Config has been updated ==\n== Validating cluster post-upgrade ==\nValidating gce cluster, MULTIZONE=\nFound 4 node(s).\nNAME                              STATUS                     ROLES    AGE   VERSION\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   10m   v1.16.4-beta.0.14+81780271497f1f\nbootstrap-e2e-minion-group-7s54   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\nbootstrap-e2e-minion-group-dj80   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\nbootstrap-e2e-minion-group-ngl9   Ready                      <none>   10m   v1.15.7-beta.0.9+62fab2d1764c89\nValidate output:\nNAME                 AGE\ncontroller-manager   <unknown>\netcd-0               <unknown>\nscheduler            <unknown>\netcd-1               <unknown>\n\x1b[0;32mCluster validation succeeded\x1b[0m\n== Post-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.16.4-beta.0.14+81780271497f1f\"\nname: \"bootstrap-e2e-minion-group-7s54\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-dj80\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\nname: \"bootstrap-e2e-minion-group-ngl9\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.7-beta.0.9+62fab2d1764c89\"\n", stderr "Project: k8s-gke-gpu-boskos-05\nNetwork Project: k8s-gke-gpu-boskos-05\nZone: us-west1-b\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\nNODE_NAMES=bootstrap-e2e-minion-group-7s54 bootstrap-e2e-minion-group-dj80 bootstrap-e2e-minion-group-ngl9\nTrying to find master named 'bootstrap-e2e-master'\nLooking for address 'bootstrap-e2e-master-ip'\nUsing master: bootstrap-e2e-master (external IP: 34.83.94.199; internal IP: (not set))\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-05/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-05/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: Some requests generated warnings:\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\n\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   34.83.94.199  RUNNING\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nProject: k8s-gke-gpu-boskos-05\nNetwork Project: k8s-gke-gpu-boskos-05\nZone: us-west1-b\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\n"
occurred
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:249
				
				Click to see stdout/stderrfrom junit_upgrade01.xml

Filter through log files | View test history on testgrid


UpgradeTest 10m38s

error during kubetest --test --test_args=--ginkgo.focus=\[Feature:GPUClusterUpgrade\] --upgrade-target=ci/k8s-stable1 --upgrade-image=gci --report-dir=/workspace/_artifacts --disable-log-dump=true --report-prefix=upgrade --check-version-skew=false: exit status 1
				from junit_runner.xml

Filter through log files | View test history on testgrid


Show 20 Passed Tests

Show 9144 Skipped Tests